---
title: "Reddit关键词搜索 API (V1)"
description: "通过关键词搜索Reddit帖子，可选延续令牌。用于发现与主题相关的讨论或继续浏览其他搜索结果页面。"
aiUsagePrompt: true
---

# Reddit关键词搜索 API \(V1\)

<ApiTester
  method="GET"
  :path='JSON.parse("\"/api/reddit/search/v1\"")'
  :summary='JSON.parse("\"关键词搜索 (V1)\"")'
  openapiDefinitionUrl="https://docs.justoneapi.com/openapi/reddit/keyword-search-v1-zh.json"
  openapiVersion="3.1.0"
  :parameters='JSON.parse("[{\"name\":\"token\",\"in\":\"query\",\"description\":\"此 API 服务的访问令牌。\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"keyword\",\"in\":\"query\",\"description\":\"搜索查询关键词。\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"after\",\"in\":\"query\",\"description\":\"用于检索下一组结果的分页令牌。\",\"required\":false,\"schema\":{\"type\":\"string\",\"default\":\"\"}}]")'
  :requestBody='JSON.parse("null")'
  :responses='JSON.parse("{\"200\":{\"description\":\"好的\",\"content\":{\"application/json\":{\"schema\":{\"if\":{\"properties\":{\"code\":{\"const\":0}},\"required\":[\"code\"]},\"then\":{\"properties\":{\"data\":{\"type\":\"object\",\"description\":\"Reddit 搜索结果与分页信息。\",\"properties\":{\"search\":{\"type\":\"object\",\"description\":\"搜索结果数据。\",\"properties\":{\"dynamic\":{\"type\":\"object\",\"description\":\"搜索返回的动态结果数据。\",\"properties\":{\"components\":{\"type\":\"object\",\"description\":\"搜索结果返回的组件信息。\",\"properties\":{\"__typename\":{\"type\":\"string\",\"description\":\"搜索组件对象的 GraphQL 类型名称。\"},\"appliedState\":{\"type\":\"object\",\"description\":\"此响应返回的搜索筛选条件和结果分类。\",\"properties\":{\"filters\":{\"type\":\"array\",\"description\":\"平台返回的已应用搜索筛选条件。\",\"items\":{\"type\":\"object\",\"description\":\"一项平台返回的搜索筛选条件。\",\"properties\":{\"key\":{\"type\":\"string\",\"description\":\"此筛选条件的名称。\"},\"value\":{\"type\":\"string\",\"description\":\"此筛选条件的值。\"}}}},\"pane\":{\"type\":\"string\",\"description\":\"平台返回的搜索结果分类。\"}}},\"main\":{\"type\":\"object\",\"description\":\"主要结果集合，包含结果条目和分页信息。\",\"properties\":{\"edges\":{\"type\":\"array\",\"description\":\"本页返回的结果条目，可能包含列表、行或其他搜索组件。\",\"items\":{\"type\":\"object\",\"description\":\"一个搜索结果条目。\",\"properties\":{\"cursor\":{\"type\":\"string\",\"description\":\"此结果条目返回的游标。\"},\"node\":{\"type\":\"object\",\"description\":\"此条目中的搜索组件，部分组件类型包含帖子结果。\",\"properties\":{\"__typename\":{\"type\":\"string\",\"description\":\"用于识别搜索组件类型的 GraphQL 类型名称。\"},\"children\":{\"type\":\"array\",\"description\":\"组件包含的子结果，可能省略。\",\"items\":{\"type\":\"object\",\"description\":\"一项子结果。帖子结果包含 post 对象。\",\"properties\":{\"__typename\":{\"type\":\"string\",\"description\":\"用于识别子结果类型的 GraphQL 类型名称。\"},\"post\":{\"type\":\"object\",\"description\":\"帖子结果中的帖子信息，可能省略。\",\"properties\":{\"__typename\":{\"type\":\"string\",\"description\":\"帖子对象的 GraphQL 类型名称。\"},\"authorFlair\":{\"type\":[\"object\",\"null\"],\"description\":\"可用时返回的作者在此版块中的用户标识。\",\"properties\":{\"richtext\":{\"type\":[\"string\",\"null\"],\"description\":\"可用时返回的作者标识序列化富文本。\"},\"text\":{\"type\":\"string\",\"description\":\"作者标识的展示文字。\"}}},\"authorInfo\":{\"type\":\"object\",\"description\":\"帖子作者的公开资料。\",\"properties\":{\"accountType\":{\"type\":\"string\",\"description\":\"Reddit 返回的作者账号类型。\"},\"iconSmall\":{\"type\":\"object\",\"description\":\"作者的小尺寸头像图。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"图片链接。\"}}},\"id\":{\"type\":\"string\",\"description\":\"帖子作者的 Reddit 完整 ID。\"},\"isCakeDayNow\":{\"type\":\"boolean\",\"description\":\"Reddit 是否标记当天为作者的账号周年日。\"},\"name\":{\"type\":\"string\",\"description\":\"作者的 Reddit 公开用户名。\"},\"newIcon\":{\"type\":\"object\",\"description\":\"新版头像字段返回的作者头像图。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"图片链接。\"}}},\"profile\":{\"type\":\"object\",\"description\":\"与作者关联的公开 Reddit 资料。\",\"properties\":{\"isNsfw\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将作者的资料标记为 NSFW。\"}}},\"snoovatarIcon\":{\"type\":[\"object\",\"null\"],\"description\":\"可用时返回的作者 Snoovatar 头像图。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"图片链接。\"}}}}},\"awardings\":{\"type\":\"array\",\"description\":\"帖子返回的获奖记录。\",\"items\":{\"type\":\"object\",\"description\":\"一种奖励及其获得次数。\",\"properties\":{\"award\":{\"type\":\"object\",\"description\":\"此奖励类型的公开信息。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"Reddit 奖励 ID。\"},\"name\":{\"type\":\"string\",\"description\":\"奖励展示名称。\"}}},\"total\":{\"type\":\"integer\",\"description\":\"Reddit 报告的该帖子获得此奖励的次数。\"}}}},\"commentCount\":{\"type\":\"integer\",\"description\":\"平台返回的帖子评论数。\"},\"content\":{\"type\":[\"object\",\"null\"],\"description\":\"Reddit 提供时返回帖子正文，字段值可以为 null。\",\"properties\":{\"html\":{\"type\":\"string\",\"description\":\"Reddit 提供时返回 HTML 格式正文。\"},\"markdown\":{\"type\":\"string\",\"description\":\"Reddit 返回的 Markdown 格式正文。\"},\"preview\":{\"type\":\"string\",\"description\":\"Reddit 提供时返回正文预览。\"},\"richtext\":{\"type\":\"string\",\"description\":\"可用时返回序列化为字符串的 Reddit 富文本。\"},\"richtextMedia\":{\"type\":\"array\",\"description\":\"帖子正文富文本引用的媒体列表。\",\"items\":{\"type\":\"object\",\"description\":\"帖子正文引用的一项媒体。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"此媒体项的高度，单位为像素。\"},\"id\":{\"type\":\"string\",\"description\":\"帖子正文中的媒体 ID。\"},\"mimetype\":{\"type\":\"string\",\"description\":\"帖子正文中此媒体项的 MIME 类型。\"},\"status\":{\"type\":\"string\",\"description\":\"平台返回的正文媒体项状态。\"},\"url\":{\"type\":\"string\",\"description\":\"帖子正文中此媒体项的地址。\"},\"width\":{\"type\":\"integer\",\"description\":\"此媒体项的宽度，单位为像素。\"}}}}}},\"createdAt\":{\"type\":\"string\",\"description\":\"帖子创建时间，以字符串返回。Reddit 返回的时区偏移可能省略冒号。\"},\"domain\":{\"type\":\"string\",\"description\":\"Reddit 返回的帖子域名标签。\"},\"editedAt\":{\"type\":[\"string\",\"null\"],\"description\":\"可用时返回帖子编辑时间。\"},\"flair\":{\"type\":[\"object\",\"null\"],\"description\":\"可用时返回帖子标签。\",\"properties\":{\"richtext\":{\"type\":[\"string\",\"null\"],\"description\":\"可用时返回的帖子标识序列化富文本。\"},\"text\":{\"type\":\"string\",\"description\":\"帖子标签的展示文字。\"},\"type\":{\"type\":\"string\",\"description\":\"Reddit 返回的帖子标签类型。\"}}},\"gallery\":{\"type\":[\"object\",\"null\"],\"description\":\"可用时返回帖子相册。\",\"properties\":{\"items\":{\"type\":\"array\",\"description\":\"相册中的媒体条目。\",\"items\":{\"type\":\"object\",\"description\":\"一条相册媒体记录。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"相册条目的 ID。\"},\"media\":{\"type\":\"object\",\"description\":\"此相册条目的媒体数据。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"相册媒体高度，单位为像素。\"},\"id\":{\"type\":\"string\",\"description\":\"相册媒体的 Reddit ID。\"},\"large\":{\"type\":\"object\",\"description\":\"大尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"medium\":{\"type\":\"object\",\"description\":\"中等尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"mimetype\":{\"type\":\"string\",\"description\":\"相册媒体的 MIME 类型。\"},\"small\":{\"type\":\"object\",\"description\":\"小尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"url\":{\"type\":\"string\",\"description\":\"相册媒体的地址。\"},\"width\":{\"type\":\"integer\",\"description\":\"相册媒体宽度，单位为像素。\"},\"xlarge\":{\"type\":\"object\",\"description\":\"加大尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"xxlarge\":{\"type\":[\"object\",\"null\"],\"description\":\"超大尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"xxxlarge\":{\"type\":[\"object\",\"null\"],\"description\":\"特大尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}}}}}}}}},\"id\":{\"type\":\"string\",\"description\":\"Reddit 完整帖子 ID，包含 t3_ 前缀。\"},\"isArchived\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将此帖标记为已归档。\"},\"isCommercialCommunication\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将帖子标记为商业推广内容。\"},\"isContestMode\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将帖子标记为竞赛模式。\"},\"isCrosspostable\":{\"type\":\"boolean\",\"description\":\"Reddit 是否标记该帖子可跨版块转发。\"},\"isLocked\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将此帖标记为已锁定。\"},\"isNsfw\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将此帖标记为 NSFW 内容。\"},\"isPollIncluded\":{\"type\":\"boolean\",\"description\":\"Reddit 是否标记帖子包含投票。\"},\"isScoreHidden\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将此帖的得分标记为隐藏。\"},\"isSelfPost\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将其标记为站内帖。\"},\"isSpoiler\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将此帖标记为含有剧透。\"},\"isStickied\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将此帖标记为置顶。\"},\"isTranslatable\":{\"type\":\"boolean\",\"description\":\"Reddit 是否标记帖子可翻译。\"},\"isTranslated\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将返回的帖子标记为已翻译。\"},\"languageCode\":{\"type\":[\"string\",\"null\"],\"description\":\"Reddit 返回的帖子语言代码。\"},\"media\":{\"type\":[\"object\",\"null\"],\"description\":\"可用时返回随帖子提供的媒体。相册媒体有独立的返回结构。\",\"properties\":{\"download\":{\"type\":[\"object\",\"null\"],\"description\":\"Reddit 提供时返回下载信息。\",\"properties\":{\"url\":{\"type\":\"string\",\"description\":\"Reddit 返回的媒体下载地址。\"}}},\"packagedMedia\":{\"type\":[\"object\",\"null\"],\"description\":\"Reddit 提供时返回封装后的媒体信息。\",\"properties\":{\"muxedMp4s\":{\"type\":[\"object\",\"null\"],\"description\":\"按画质返回的封装 MP4 版本。\",\"properties\":{\"high\":{\"type\":\"object\",\"description\":\"高画质 MP4 版本。\",\"properties\":{\"url\":{\"type\":\"string\",\"description\":\"封装后的 MP4 地址。\"}}},\"highest\":{\"type\":\"object\",\"description\":\"此集合返回的最高画质 MP4 版本。\",\"properties\":{\"url\":{\"type\":\"string\",\"description\":\"封装后的 MP4 地址。\"}}},\"low\":{\"type\":\"object\",\"description\":\"低画质 MP4 版本。\",\"properties\":{\"url\":{\"type\":\"string\",\"description\":\"封装后的 MP4 地址。\"}}},\"medium\":{\"type\":\"object\",\"description\":\"中等画质 MP4 版本。\",\"properties\":{\"url\":{\"type\":\"string\",\"description\":\"封装后的 MP4 地址。\"}}},\"recommended\":{\"type\":\"object\",\"description\":\"Reddit 推荐的 MP4 版本。\",\"properties\":{\"url\":{\"type\":\"string\",\"description\":\"封装后的 MP4 地址。\"}}}}}}},\"still\":{\"type\":\"object\",\"description\":\"帖子中的静态图片，包括原图和不同尺寸的版本。\",\"properties\":{\"large\":{\"type\":[\"object\",\"null\"],\"description\":\"大尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"medium\":{\"type\":[\"object\",\"null\"],\"description\":\"中等尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"small\":{\"type\":[\"object\",\"null\"],\"description\":\"小尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"source\":{\"type\":\"object\",\"description\":\"静态原图。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"xlarge\":{\"type\":[\"object\",\"null\"],\"description\":\"加大尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"xxlarge\":{\"type\":[\"object\",\"null\"],\"description\":\"超大尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}},\"xxxlarge\":{\"type\":[\"object\",\"null\"],\"description\":\"特大尺寸图片版本。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"静态图片地址。\"}}}}},\"streaming\":{\"type\":[\"object\",\"null\"],\"description\":\"Reddit 提供时返回流媒体信息。\",\"properties\":{\"dashUrl\":{\"type\":\"string\",\"description\":\"DASH 流媒体清单地址。\"},\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"duration\":{\"type\":\"integer\",\"description\":\"Reddit 返回的流媒体时长数值。\"},\"hlsUrl\":{\"type\":\"string\",\"description\":\"HLS 流媒体清单地址。\"},\"isGif\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将该流标记为 GIF 式动画。\"}}},\"typeHint\":{\"type\":[\"string\",\"null\"],\"description\":\"可用时返回 Reddit 报告的媒体类型提示。\"}}},\"permalink\":{\"type\":\"string\",\"description\":\"此帖子在 Reddit 上的相对永久链接路径。\"},\"postHint\":{\"type\":[\"string\",\"null\"],\"description\":\"可用时返回 Reddit 报告的帖子展示类型提示。\"},\"postTitle\":{\"type\":\"string\",\"description\":\"Reddit 返回的帖子标题。\"},\"score\":{\"type\":\"integer\",\"description\":\"Reddit 报告的帖子得分。\"},\"subreddit\":{\"type\":\"object\",\"description\":\"此区块返回时，表示帖子所属的社区。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"Reddit 社区 ID。\"},\"isNsfw\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将此社区标记为 NSFW。\"},\"isQuarantined\":{\"type\":\"boolean\",\"description\":\"Reddit 是否将此社区标记为已隔离。\"},\"name\":{\"type\":\"string\",\"description\":\"社区名称。\"},\"prefixedName\":{\"type\":\"string\",\"description\":\"带 Reddit 前缀的社区名称。\"},\"subscribersCount\":{\"type\":\"integer\",\"description\":\"Reddit 报告的社区订阅人数。\"},\"title\":{\"type\":\"string\",\"description\":\"社区展示标题。\"},\"type\":{\"type\":\"string\",\"description\":\"Reddit 返回的社区类型。\"}}},\"suggestedCommentSort\":{\"type\":[\"string\",\"null\"],\"description\":\"可用时返回评论的建议展示顺序。\"},\"thumbnail\":{\"type\":[\"object\",\"null\"],\"description\":\"帖子返回的缩略图。\",\"properties\":{\"dimensions\":{\"type\":\"object\",\"description\":\"图片或播放器尺寸，单位为像素。\",\"properties\":{\"height\":{\"type\":\"integer\",\"description\":\"高度，单位为像素。\"},\"width\":{\"type\":\"integer\",\"description\":\"宽度，单位为像素。\"}}},\"url\":{\"type\":\"string\",\"description\":\"缩略图地址。\"}}},\"upvoteRatio\":{\"type\":\"number\",\"description\":\"Reddit 报告的帖子赞成票比例，以 0 到 1 的数值返回。\"},\"url\":{\"type\":\"string\",\"description\":\"帖子关联的地址。\"}}}}}}}}}}},\"pageInfo\":{\"type\":\"object\",\"description\":\"当前搜索页的分页信息。\",\"properties\":{\"endCursor\":{\"type\":\"string\",\"description\":\"hasNextPage 为 true 时，原样传入此游标作为 after，并保持 keyword 不变来请求下一页。\"},\"hasNextPage\":{\"type\":\"boolean\",\"description\":\"Reddit 是否报告有下一页。\"},\"hasPreviousPage\":{\"type\":\"boolean\",\"description\":\"Reddit 是否报告有上一页。\"},\"startCursor\":{\"type\":\"string\",\"description\":\"当前页起始位置返回的游标。\"}}}}}}}}}}}}}}},\"allOf\":[{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}]}}}},\"400\":{\"description\":\"请求参数或请求体无效\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"401\":{\"description\":\"访问令牌无效或未激活\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"403\":{\"description\":\"权限不足\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"429\":{\"description\":\"请求速率或每日配额已超限\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"500\":{\"description\":\"服务器内部错误\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"503\":{\"description\":\"服务暂时不可用\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}}}")'
  :servers='JSON.parse("[{\"url\":\"https://api.justoneapi.com\",\"description\":\"全球生产 API（默认）\"}]")'
  :security='JSON.parse("[]")'
  :securitySchemes='JSON.parse("{}")'
  :schemas='JSON.parse("{}")'
/>

<ApiHealthSection :api='JSON.parse("\"/api/reddit/search/v1\"")' />

<p>通过关键词搜索Reddit帖子，可选延续令牌。用于发现与主题相关的讨论或继续浏览其他搜索结果页面。</p>

## 请求参数

<div class="api-doc-table api-doc-table--params">

| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
| --- | --- | --- | --- | --- | --- |
| <code>token</code> | query | <code>string</code> | 是 | - | 此 API 服务的访问令牌。 |
| <code>keyword</code> | query | <code>string</code> | 是 | - | 搜索查询关键词。 |
| <code>after</code> | query | <code>string</code> | 否 | <code></code> | 用于检索下一组结果的分页令牌。 |

</div>

## 代码示例

::: code-group

```bash [🐚 cURL]
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/reddit/search/v1?token=YOUR_API_KEY&keyword=VALUE'
```

```text [🤖 AI 提示词]
我想使用 JustOneAPI 提供的“关键词搜索 (V1)”接口。
接入地址: https://api.justoneapi.com。
接口路径: /api/reddit/search/v1?token=YOUR_API_KEY&keyword=VALUE
接口地址: BASE_URL + /api/reddit/search/v1?token=YOUR_API_KEY&keyword=VALUE
HTTP 方法: GET
身份验证: 在 URL 中传入 token 查询参数。
OpenAPI 定义: https://docs.justoneapi.com/openapi/reddit/keyword-search-v1-zh.json

请求参数说明:
- token (query): 此 API 服务的访问令牌。 (必填)
- keyword (query): 搜索查询关键词。 (必填)
- after (query): 用于检索下一组结果的分页令牌。

返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。

响应处理与错误码：
1. 需通过返回体中的 "code" 字段判断业务结果（code 为 0 表示成功）。
2. 超时建议：建议将请求超时时间设置为 120 秒；如果 120 秒偏长，请至少设置为 60 秒，但可能会有少量请求因超时而未接收到结果。
3. 业务码说明：
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败，请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 账户余额不足
   - 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨，多个 TOKEN 仍共享同一个账户余额。

请帮我用我擅长的编程语言写一个脚本来调用这个接口，并处理返回结果。
```

```python [🐍 Python]
import requests

BASE_URL = "https://api.justoneapi.com"  # 由 OpenAPI servers 提供

url = BASE_URL + "/api/reddit/search/v1?token=YOUR_API_KEY&keyword=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
    content_type = response.headers.get("content-type", "").lower()
    if "json" in content_type:
        try:
            print(response.json())
        except ValueError:
            print(response.text)
    elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
        print(response.text)
    else:
        with open("response.bin", "wb") as output:
            output.write(response.content)
        print(f"Saved {len(response.content)} bytes to response.bin")
```

```js [🌐 JavaScript]
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
const url = BASE_URL + "/api/reddit/search/v1?token=YOUR_API_KEY&keyword=VALUE";

const response = await fetch(url, {
  method: "GET",
  signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
  const contentType = (response.headers.get("content-type") || "").toLowerCase();
  const mediaType = contentType.split(";", 1)[0].trim();
  const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
  if (textual) {
    const responseText = new TextDecoder().decode(responseBytes);
    let data = responseText;
    if (contentType.includes("json")) {
      try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
    }
    console.log(data);
  } else {
    console.log(`Received ${responseBytes.byteLength} binary bytes`);
  }
}
```

```java [☕ Java]
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
        final String url = BASE_URL + "/api/reddit/search/v1?token=YOUR_API_KEY&keyword=VALUE";

        HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
        HttpRequest.Builder builder = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .timeout(Duration.ofSeconds(120))
            .method("GET", HttpRequest.BodyPublishers.noBody());

        HttpRequest request = builder.build();

        HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
        System.out.println(response.statusCode());
        String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
        String mediaType = contentType.split(";", 2)[0].trim();
        if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
            System.out.println(new String(response.body(), StandardCharsets.UTF_8));
        } else {
            Files.write(Path.of("response.bin"), response.body());
            System.out.println("Saved " + response.body().length + " bytes to response.bin");
        }
    }
}
```

```go [🐹 Go]
package main

import (
	"fmt"
	"io"
	"os"
	"strings"
	"net/http"
	"time"
)

const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供

func main() {
	client := &http.Client{Timeout: 120 * time.Second}
	url := BASE_URL + "/api/reddit/search/v1?token=YOUR_API_KEY&keyword=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	fmt.Println(resp.StatusCode)
	bodyBytes, _ := io.ReadAll(resp.Body)
	contentType := strings.ToLower(resp.Header.Get("Content-Type"))
	mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
	if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
		fmt.Println(string(bodyBytes))
	} else {
		os.WriteFile("response.bin", bodyBytes, 0600)
		fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
	}
}
```

```php [🐘 PHP]
<?php
$BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供
$url = $BASE_URL . '/api/reddit/search/v1?token=YOUR_API_KEY&keyword=VALUE';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
    echo $response;
} else {
    file_put_contents('response.bin', $response);
    echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}
```

:::

<div style="text-align: right; margin-top: -20px; margin-bottom: 20px;">
<a href="/openapi/reddit/keyword-search-v1-zh.json" target="_blank" style="font-size: 12px; color: var(--vp-c-text-3); text-decoration: none; opacity: 0.8;">[OpenAPI 定义 (JSON)]</a>
</div>

## 返回字段

业务成功时（`code = 0`）的主要返回字段。

<div class="api-doc-table api-doc-table--response">

| 字段路径 | 类型 | 说明 |
| --- | --- | --- |
| <code>data</code> | <code>object</code> | Reddit 搜索结果与分页信息。 |
| <code>data.search</code> | <code>object</code> | 搜索结果数据。 |
| <code>data.search.dynamic</code> | <code>object</code> | 搜索返回的动态结果数据。 |
| <code>data.search.dynamic.components</code> | <code>object</code> | 搜索结果返回的组件信息。 |
| <code>data.search.dynamic.components.__typename</code> | <code>string</code> | 搜索组件对象的 GraphQL 类型名称。 |
| <code>data.search.dynamic.components.appliedState</code> | <code>object</code> | 此响应返回的搜索筛选条件和结果分类。 |
| <code>data.search.dynamic.components.appliedState.filters</code> | <code>array</code> | 平台返回的已应用搜索筛选条件。 |
| <code>data.search.dynamic.components.appliedState.filters[]</code> | <code>object</code> | 一项平台返回的搜索筛选条件。 |
| <code>data.search.dynamic.components.appliedState.filters[].key</code> | <code>string</code> | 此筛选条件的名称。 |
| <code>data.search.dynamic.components.appliedState.filters[].value</code> | <code>string</code> | 此筛选条件的值。 |
| <code>data.search.dynamic.components.appliedState.pane</code> | <code>string</code> | 平台返回的搜索结果分类。 |
| <code>data.search.dynamic.components.main</code> | <code>object</code> | 主要结果集合，包含结果条目和分页信息。 |
| <code>data.search.dynamic.components.main.edges</code> | <code>array</code> | 本页返回的结果条目，可能包含列表、行或其他搜索组件。 |
| <code>data.search.dynamic.components.main.edges[]</code> | <code>object</code> | 一个搜索结果条目。 |
| <code>data.search.dynamic.components.main.edges[].cursor</code> | <code>string</code> | 此结果条目返回的游标。 |
| <code>data.search.dynamic.components.main.edges[].node</code> | <code>object</code> | 此条目中的搜索组件，部分组件类型包含帖子结果。 |
| <code>data.search.dynamic.components.main.edges[].node.__typename</code> | <code>string</code> | 用于识别搜索组件类型的 GraphQL 类型名称。 |
| <code>data.search.dynamic.components.main.edges[].node.children</code> | <code>array</code> | 组件包含的子结果，可能省略。 |
| <code>data.search.dynamic.components.main.edges[].node.children[]</code> | <code>object</code> | 一项子结果。帖子结果包含 post 对象。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].__typename</code> | <code>string</code> | 用于识别子结果类型的 GraphQL 类型名称。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post</code> | <code>object</code> | 帖子结果中的帖子信息，可能省略。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.__typename</code> | <code>string</code> | 帖子对象的 GraphQL 类型名称。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorFlair</code> | <code>object &#124; null</code> | 可用时返回的作者在此版块中的用户标识。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorFlair.richtext</code> | <code>string &#124; null</code> | 可用时返回的作者标识序列化富文本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorFlair.text</code> | <code>string</code> | 作者标识的展示文字。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo</code> | <code>object</code> | 帖子作者的公开资料。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.accountType</code> | <code>string</code> | Reddit 返回的作者账号类型。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.iconSmall</code> | <code>object</code> | 作者的小尺寸头像图。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.iconSmall.dimensions</code> | <code>object</code> | 图片尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.iconSmall.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.iconSmall.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.iconSmall.url</code> | <code>string</code> | 图片链接。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.id</code> | <code>string</code> | 帖子作者的 Reddit 完整 ID。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.isCakeDayNow</code> | <code>boolean</code> | Reddit 是否标记当天为作者的账号周年日。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.name</code> | <code>string</code> | 作者的 Reddit 公开用户名。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.newIcon</code> | <code>object</code> | 新版头像字段返回的作者头像图。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.newIcon.dimensions</code> | <code>object</code> | 图片尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.newIcon.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.newIcon.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.newIcon.url</code> | <code>string</code> | 图片链接。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.profile</code> | <code>object</code> | 与作者关联的公开 Reddit 资料。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.profile.isNsfw</code> | <code>boolean</code> | Reddit 是否将作者的资料标记为 NSFW。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.snoovatarIcon</code> | <code>object &#124; null</code> | 可用时返回的作者 Snoovatar 头像图。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.snoovatarIcon.dimensions</code> | <code>object</code> | 图片尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.snoovatarIcon.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.snoovatarIcon.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.authorInfo.snoovatarIcon.url</code> | <code>string</code> | 图片链接。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.awardings</code> | <code>array</code> | 帖子返回的获奖记录。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.awardings[]</code> | <code>object</code> | 一种奖励及其获得次数。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.awardings[].award</code> | <code>object</code> | 此奖励类型的公开信息。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.awardings[].award.id</code> | <code>string</code> | Reddit 奖励 ID。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.awardings[].award.name</code> | <code>string</code> | 奖励展示名称。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.awardings[].total</code> | <code>integer</code> | Reddit 报告的该帖子获得此奖励的次数。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.commentCount</code> | <code>integer</code> | 平台返回的帖子评论数。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content</code> | <code>object &#124; null</code> | Reddit 提供时返回帖子正文，字段值可以为 null。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.html</code> | <code>string</code> | Reddit 提供时返回 HTML 格式正文。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.markdown</code> | <code>string</code> | Reddit 返回的 Markdown 格式正文。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.preview</code> | <code>string</code> | Reddit 提供时返回正文预览。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.richtext</code> | <code>string</code> | 可用时返回序列化为字符串的 Reddit 富文本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.richtextMedia</code> | <code>array</code> | 帖子正文富文本引用的媒体列表。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.richtextMedia[]</code> | <code>object</code> | 帖子正文引用的一项媒体。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.richtextMedia[].height</code> | <code>integer</code> | 此媒体项的高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.richtextMedia[].id</code> | <code>string</code> | 帖子正文中的媒体 ID。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.richtextMedia[].mimetype</code> | <code>string</code> | 帖子正文中此媒体项的 MIME 类型。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.richtextMedia[].status</code> | <code>string</code> | 平台返回的正文媒体项状态。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.richtextMedia[].url</code> | <code>string</code> | 帖子正文中此媒体项的地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.content.richtextMedia[].width</code> | <code>integer</code> | 此媒体项的宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.createdAt</code> | <code>string</code> | 帖子创建时间，以字符串返回。Reddit 返回的时区偏移可能省略冒号。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.domain</code> | <code>string</code> | Reddit 返回的帖子域名标签。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.editedAt</code> | <code>string &#124; null</code> | 可用时返回帖子编辑时间。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.flair</code> | <code>object &#124; null</code> | 可用时返回帖子标签。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.flair.richtext</code> | <code>string &#124; null</code> | 可用时返回的帖子标识序列化富文本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.flair.text</code> | <code>string</code> | 帖子标签的展示文字。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.flair.type</code> | <code>string</code> | Reddit 返回的帖子标签类型。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery</code> | <code>object &#124; null</code> | 可用时返回帖子相册。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items</code> | <code>array</code> | 相册中的媒体条目。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[]</code> | <code>object</code> | 一条相册媒体记录。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].id</code> | <code>string</code> | 相册条目的 ID。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media</code> | <code>object</code> | 此相册条目的媒体数据。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.height</code> | <code>integer</code> | 相册媒体高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.id</code> | <code>string</code> | 相册媒体的 Reddit ID。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.large</code> | <code>object</code> | 大尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.large.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.large.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.large.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.large.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.medium</code> | <code>object</code> | 中等尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.medium.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.medium.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.medium.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.medium.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.mimetype</code> | <code>string</code> | 相册媒体的 MIME 类型。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.small</code> | <code>object</code> | 小尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.small.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.small.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.small.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.small.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.url</code> | <code>string</code> | 相册媒体的地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.width</code> | <code>integer</code> | 相册媒体宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xlarge</code> | <code>object</code> | 加大尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xlarge.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xlarge.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xlarge.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xlarge.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxlarge</code> | <code>object &#124; null</code> | 超大尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxlarge.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxlarge.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxlarge.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxlarge.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxxlarge</code> | <code>object &#124; null</code> | 特大尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxxlarge.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxxlarge.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxxlarge.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.gallery.items[].media.xxxlarge.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.id</code> | <code>string</code> | Reddit 完整帖子 ID，包含 t3_ 前缀。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isArchived</code> | <code>boolean</code> | Reddit 是否将此帖标记为已归档。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isCommercialCommunication</code> | <code>boolean</code> | Reddit 是否将帖子标记为商业推广内容。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isContestMode</code> | <code>boolean</code> | Reddit 是否将帖子标记为竞赛模式。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isCrosspostable</code> | <code>boolean</code> | Reddit 是否标记该帖子可跨版块转发。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isLocked</code> | <code>boolean</code> | Reddit 是否将此帖标记为已锁定。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isNsfw</code> | <code>boolean</code> | Reddit 是否将此帖标记为 NSFW 内容。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isPollIncluded</code> | <code>boolean</code> | Reddit 是否标记帖子包含投票。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isScoreHidden</code> | <code>boolean</code> | Reddit 是否将此帖的得分标记为隐藏。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isSelfPost</code> | <code>boolean</code> | Reddit 是否将其标记为站内帖。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isSpoiler</code> | <code>boolean</code> | Reddit 是否将此帖标记为含有剧透。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isStickied</code> | <code>boolean</code> | Reddit 是否将此帖标记为置顶。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isTranslatable</code> | <code>boolean</code> | Reddit 是否标记帖子可翻译。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.isTranslated</code> | <code>boolean</code> | Reddit 是否将返回的帖子标记为已翻译。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.languageCode</code> | <code>string &#124; null</code> | Reddit 返回的帖子语言代码。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media</code> | <code>object &#124; null</code> | 可用时返回随帖子提供的媒体。相册媒体有独立的返回结构。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.download</code> | <code>object &#124; null</code> | Reddit 提供时返回下载信息。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.download.url</code> | <code>string</code> | Reddit 返回的媒体下载地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia</code> | <code>object &#124; null</code> | Reddit 提供时返回封装后的媒体信息。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s</code> | <code>object &#124; null</code> | 按画质返回的封装 MP4 版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.high</code> | <code>object</code> | 高画质 MP4 版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.high.url</code> | <code>string</code> | 封装后的 MP4 地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.highest</code> | <code>object</code> | 此集合返回的最高画质 MP4 版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.highest.url</code> | <code>string</code> | 封装后的 MP4 地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.low</code> | <code>object</code> | 低画质 MP4 版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.low.url</code> | <code>string</code> | 封装后的 MP4 地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.medium</code> | <code>object</code> | 中等画质 MP4 版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.medium.url</code> | <code>string</code> | 封装后的 MP4 地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.recommended</code> | <code>object</code> | Reddit 推荐的 MP4 版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.packagedMedia.muxedMp4s.recommended.url</code> | <code>string</code> | 封装后的 MP4 地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still</code> | <code>object</code> | 帖子中的静态图片，包括原图和不同尺寸的版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.large</code> | <code>object &#124; null</code> | 大尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.large.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.large.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.large.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.large.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.medium</code> | <code>object &#124; null</code> | 中等尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.medium.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.medium.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.medium.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.medium.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.small</code> | <code>object &#124; null</code> | 小尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.small.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.small.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.small.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.small.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.source</code> | <code>object</code> | 静态原图。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.source.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.source.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.source.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.source.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xlarge</code> | <code>object &#124; null</code> | 加大尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xlarge.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xlarge.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xlarge.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xlarge.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxlarge</code> | <code>object &#124; null</code> | 超大尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxlarge.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxlarge.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxlarge.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxlarge.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxxlarge</code> | <code>object &#124; null</code> | 特大尺寸图片版本。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxxlarge.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxxlarge.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxxlarge.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.still.xxxlarge.url</code> | <code>string</code> | 静态图片地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.streaming</code> | <code>object &#124; null</code> | Reddit 提供时返回流媒体信息。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.streaming.dashUrl</code> | <code>string</code> | DASH 流媒体清单地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.streaming.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.streaming.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.streaming.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.streaming.duration</code> | <code>integer</code> | Reddit 返回的流媒体时长数值。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.streaming.hlsUrl</code> | <code>string</code> | HLS 流媒体清单地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.streaming.isGif</code> | <code>boolean</code> | Reddit 是否将该流标记为 GIF 式动画。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.media.typeHint</code> | <code>string &#124; null</code> | 可用时返回 Reddit 报告的媒体类型提示。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.permalink</code> | <code>string</code> | 此帖子在 Reddit 上的相对永久链接路径。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.postHint</code> | <code>string &#124; null</code> | 可用时返回 Reddit 报告的帖子展示类型提示。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.postTitle</code> | <code>string</code> | Reddit 返回的帖子标题。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.score</code> | <code>integer</code> | Reddit 报告的帖子得分。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.subreddit</code> | <code>object</code> | 此区块返回时，表示帖子所属的社区。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.subreddit.id</code> | <code>string</code> | Reddit 社区 ID。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.subreddit.isNsfw</code> | <code>boolean</code> | Reddit 是否将此社区标记为 NSFW。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.subreddit.isQuarantined</code> | <code>boolean</code> | Reddit 是否将此社区标记为已隔离。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.subreddit.name</code> | <code>string</code> | 社区名称。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.subreddit.prefixedName</code> | <code>string</code> | 带 Reddit 前缀的社区名称。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.subreddit.subscribersCount</code> | <code>integer</code> | Reddit 报告的社区订阅人数。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.subreddit.title</code> | <code>string</code> | 社区展示标题。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.subreddit.type</code> | <code>string</code> | Reddit 返回的社区类型。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.suggestedCommentSort</code> | <code>string &#124; null</code> | 可用时返回评论的建议展示顺序。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.thumbnail</code> | <code>object &#124; null</code> | 帖子返回的缩略图。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.thumbnail.dimensions</code> | <code>object</code> | 图片或播放器尺寸，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.thumbnail.dimensions.height</code> | <code>integer</code> | 高度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.thumbnail.dimensions.width</code> | <code>integer</code> | 宽度，单位为像素。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.thumbnail.url</code> | <code>string</code> | 缩略图地址。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.upvoteRatio</code> | <code>number</code> | Reddit 报告的帖子赞成票比例，以 0 到 1 的数值返回。 |
| <code>data.search.dynamic.components.main.edges[].node.children[].post.url</code> | <code>string</code> | 帖子关联的地址。 |
| <code>data.search.dynamic.components.main.pageInfo</code> | <code>object</code> | 当前搜索页的分页信息。 |
| <code>data.search.dynamic.components.main.pageInfo.endCursor</code> | <code>string</code> | hasNextPage 为 true 时，原样传入此游标作为 after，并保持 keyword 不变来请求下一页。 |
| <code>data.search.dynamic.components.main.pageInfo.hasNextPage</code> | <code>boolean</code> | Reddit 是否报告有下一页。 |
| <code>data.search.dynamic.components.main.pageInfo.hasPreviousPage</code> | <code>boolean</code> | Reddit 是否报告有上一页。 |
| <code>data.search.dynamic.components.main.pageInfo.startCursor</code> | <code>string</code> | 当前页起始位置返回的游标。 |

</div>

## 响应示例

<ApiExampleSection :api='JSON.parse("\"/api/reddit/search/v1\"")' />

